Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584988 - Review Request: R-lme4 - Linear mixed-effects models using S4 classes
Review Request: R-lme4 - Linear mixed-effects models using S4 classes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 16:26 EDT by josef radinger
Modified: 2010-11-16 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 09:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2010-04-22 16:26:49 EDT
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-lme4.spec
SRPM URL: 
http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-lme4-0.999375-3.fc12.src.rpm
Description: 
Fit linear and generalized linear mixed-effects models
Comment 1 Pierre-YvesChibon 2010-04-28 05:49:03 EDT
Having a quick look at it:

- Fix version
  The version of this package is 0.999375.33 not 0.999375 cf 
  http://fedoraproject.org/wiki/Packaging:R#R_version
- Fix %changelog
  Please update the format of the changelog, the version-release should be on the same line as the changelog entree.
- Fix Requires
  You might want to have Requires: R-core >= %{Rversion} instead of just R

- Fix %check
Although, this show that there are dependencies missing for this package:
> Packages required but not available:
>  mlmRev MEMSS
Comment 2 josef radinger 2010-04-30 15:05:02 EDT
(In reply to comment #1)
> Having a quick look at it:
> 
> - Fix version
>   The version of this package is 0.999375.33 not 0.999375 cf 
>   http://fedoraproject.org/wiki/Packaging:R#R_version
agreed

> - Fix %changelog
>   Please update the format of the changelog, the version-release should be on
> the same line as the changelog entree.
according to http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
allowed.

> - Fix Requires
>   You might want to have Requires: R-core >= %{Rversion} instead of just R
agreed

> - Fix %check
> Although, this show that there are dependencies missing for this package:
> > Packages required but not available:
> >  mlmRev MEMSS    
those are only suggestions for the check and mlmRev has a dependency on R-lme4 -> circular dependency. should have noted that in the spec.

new SRPM:
http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-lme4-0.999375.33-4.fc12.src.rpm
Comment 3 Pierre-YvesChibon 2010-04-30 16:59:09 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - Fix %check
> > Although, this show that there are dependencies missing for this package:
> > > Packages required but not available:
> > >  mlmRev MEMSS    
> those are only suggestions for the check and mlmRev has a dependency on R-lme4
> -> circular dependency. should have noted that in the spec.

Please see if you can submit then for review & integration. We normally package both REQUIRES and SUGGESTS. See what is the strongest dependency between R-lme4 and R-mlmRev and keep that one (commenting indeed in the spec for the other one).

Since you are already sponsored I will review the package I already looked at. I will try to do it in the coming days.
Comment 4 josef radinger 2010-05-03 07:46:00 EDT
you mean i shall create additional packages (the SUGGESTS) and decide which buildrequire really needs to be there to correctly build?

eg:
buildrequires from A ->B, but not from B->A
Comment 5 Pierre-YvesChibon 2010-05-03 08:03:50 EDT
(In reply to comment #4)
> you mean i shall create additional packages (the SUGGESTS) and decide which
> buildrequire really needs to be there to correctly build?
yes, this is normally the way I/we do it.

> eg:
> buildrequires from A ->B, but not from B->A    
Then you can leave %check in one, and remove it (with explanation in the spec) from the other one.
Comment 6 Pierre-YvesChibon 2010-05-06 14:08:54 EDT
hm you also miss the BR tex(latex) here
Comment 7 josef radinger 2010-05-08 08:54:32 EDT
tex(latex) fixed, the rest still to come
Comment 8 Pierre-YvesChibon 2010-09-21 14:11:45 EDT
ping ? Shall we close or do you still want to go ?
Comment 9 Pierre-YvesChibon 2010-11-16 09:42:25 EST
I am closing this, almost two months without reply.

Note You need to log in before you can comment on or make changes to this bug.